
// <ACEStransformID>ANTLERutil.Contrast_85</ACEStransformID>
// <ACESuserName>Contrast 0.85</ACESuserName>

//
// Adjust Contrast to 85%
// 
// Pivot 445 is ACES default for Resolve and Baselight
//

const float pivot = 445.0/1023.0;
const float contrast = 0.85;

void main 
(   
  input varying float rIn,
  input varying float gIn,
  input varying float bIn,
  input varying float aIn,
  output varying float rOut,
  output varying float gOut,
  output varying float bOut,
  output varying float aOut
)
{
  rOut = pivot + (rIn - pivot) * contrast;
  gOut = pivot + (gIn - pivot) * contrast;
  bOut = pivot + (bIn - pivot) * contrast;
  aOut = aIn;
}
